package peerstream_multiplex

import (
	"net"

	"gitlab.dms3.io/p2p/go-p2p-core/mux"

	mp "gitlab.dms3.io/p2p/go-mplex"
)

// DefaultTransport has default settings for Transport
var DefaultTransport = &Transport{}

// Transport implements mux.Multiplexer that constructs
// mplex-backed muxed connections.
type Transport struct{}

func (t *Transport) NewConn(nc net.Conn, isServer bool) (mux.MuxedConn, error) {
	return (*conn)(mp.NewMultiplex(nc, isServer)), nil
}

var _ mux.Multiplexer = &Transport{}
